Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.app
Class URLCache

    java.lang.Object
      |
      +--com.macromedia.generator.app.GenCache
            |
            +--com.macromedia.generator.app.URLCache

Direct Known Subclasses:
  FileCache, FontCache, MediaCache

public abstract class URLCache
extends GenCache

Field Summary
`protected int` | `kMinBufferSize`
`protected boolean` | `mCheckModifiedSince`
`protected int` | `mDiskBufferSize`
`protected boolean` | `mForce`
`protected int` | `mNetBufferSize`

Fields inherited from class com.macromedia.generator.app.GenCache
`kLineBreak, mCurrentSize, mDefaultExpire, mDynamicMaintanence, mIndex, mLog, mMaxSize, mRecycle`

Constructor Summary
`URLCache(long l, boolean flag, boolean flag1, long l1, boolean flag2, int i, int j, CacheLog cachelog)`

Method Summary
`protected boolean` | `checkModifiedSince(java.net.URL url)`
`java.lang.Object` | `fetchURLData(java.net.URL url, boolean flag, long l)`
`protected java.lang.Object` | `getCacheURL(java.net.URL url)`
`protected GenCacheEntry` | `getCacheURLEntry(java.net.URL url)`
`protected long` | `getCacheURLTime(java.net.URL url)`
`boolean` | `getCheckModifiedSince()`
`int` | `getDiskBufferSize()`
`boolean` | `getForce()`
`int` | `getNetBufferSize()`
`java.lang.Object` | `getURLData(java.net.URL url)`
`protected java.lang.String` | `getURLLocalPath(java.net.URL url)`
`protected boolean` | `isLocal(java.net.URL url)`
`protected java.lang.String` | `makeJavaPretty(java.lang.String s)`
`protected java.lang.String` | `makeSystemPretty(java.lang.String s)`
`protected byte[]` | `readFile(java.lang.String s)`
`protected byte[]` | `readInputStream(java.io.InputStream inputstream, long l, int i)`
`protected abstract byte[]` | `readURLInputStream(java.net.URL url, java.io.InputStream inputstream, long l, int i, boolean flag, long l1)`
`protected byte[]` | `readURLLocalFile(java.net.URL url, boolean flag, long l)`
`protected void` | `removeCacheURL(java.net.URL url)`
`void` | `setBufferSize(int i, int j)`
`protected boolean` | `setCacheURL(java.net.URL url, java.lang.Object obj, long l, long l1)`
`void` | `setCheckModifiedSince(boolean flag)`
`void` | `setForce(boolean flag)`
`protected java.lang.String` | `stripLocalPrefix(java.lang.String s)`

Methods inherited from class com.macromedia.generator.app.GenCache
`dispose, existsCacheEntry, expireCacheEntries, finalize, freeCacheItems, freeCacheSpace, getCacheValue, getDefaultExpire, getLock, getMaxSize, getRecycle, getResString, isCacheEnabled, isCacheEntryExpired, logCacheMessage, logHitCounts, purge, removeCacheEntry, removeCacheValue, setCacheEntry, setCacheValue, setDefaultExpire, setLock, setMaxSize, setRecycle, verifyCacheValue`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kMinBufferSize

    protected final int kMinBufferSize

### mForce

    protected boolean mForce

### mCheckModifiedSince

    protected boolean mCheckModifiedSince

### mDiskBufferSize

    protected int mDiskBufferSize

### mNetBufferSize

    protected int mNetBufferSize

Constructor Detail

### URLCache

    public URLCache(long l,
                    boolean flag,
                    boolean flag1,
                    long l1,
                    boolean flag2,
                    int i,
                    int j,
                    CacheLog cachelog)

Method Detail

### checkModifiedSince

    protected boolean checkModifiedSince(java.net.URL url)
                                  throws java.io.IOException

### fetchURLData

    public java.lang.Object fetchURLData(java.net.URL url,
                                         boolean flag,
                                         long l)
                                  throws java.io.IOException

### getCacheURL

    protected java.lang.Object getCacheURL(java.net.URL url)

### getCacheURLEntry

    protected GenCacheEntry getCacheURLEntry(java.net.URL url)

### getCacheURLTime

    protected long getCacheURLTime(java.net.URL url)

### getCheckModifiedSince

    public boolean getCheckModifiedSince()

### getDiskBufferSize

    public int getDiskBufferSize()

### getForce

    public boolean getForce()

### getNetBufferSize

    public int getNetBufferSize()

### getURLData

    public java.lang.Object getURLData(java.net.URL url)
                                throws java.io.IOException

### getURLLocalPath

    protected java.lang.String getURLLocalPath(java.net.URL url)

### isLocal

    protected boolean isLocal(java.net.URL url)

### makeJavaPretty

    protected java.lang.String makeJavaPretty(java.lang.String s)

### makeSystemPretty

    protected java.lang.String makeSystemPretty(java.lang.String s)

### readFile

    protected byte[] readFile(java.lang.String s)
                       throws java.io.IOException

### readInputStream

    protected byte[] readInputStream(java.io.InputStream inputstream,
                                     long l,
                                     int i)
                              throws java.io.IOException

### readURLInputStream

    protected abstract byte[] readURLInputStream(java.net.URL url,
                                                 java.io.InputStream inputstream,
                                                 long l,
                                                 int i,
                                                 boolean flag,
                                                 long l1)
                                          throws java.io.IOException

### readURLLocalFile

    protected byte[] readURLLocalFile(java.net.URL url,
                                      boolean flag,
                                      long l)
                               throws java.io.IOException

### removeCacheURL

    protected void removeCacheURL(java.net.URL url)

### setBufferSize

    public void setBufferSize(int i,
                              int j)

### setCacheURL

    protected boolean setCacheURL(java.net.URL url,
                                  java.lang.Object obj,
                                  long l,
                                  long l1)

### setCheckModifiedSince

    public void setCheckModifiedSince(boolean flag)

### setForce

    public void setForce(boolean flag)

### stripLocalPrefix

    protected java.lang.String stripLocalPrefix(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD